/*

lcdwho - display logged-in users on lcdproc server
Copyright (C) 1999 Dale Osowski

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
                
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
                                
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


Author can be reached at dosowski0474@vax2.winona.msus.edu

*/                                            
                                            
#ifndef COMM_H
#define COMM_H

#include "sockets.h"

struct lcd_spec
{
	int lcd_wid;
	int lcd_hgt;
	int cell_wid;
	int cell_hgt;
};



int lcd_init(char *server, int port, struct lcd_spec *);
void set_priority(int, int);

#endif
