/*

lcdwho - display logged-in users on lcdproc server
Copyright (C) 1999 Dale Osowski

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.
                
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.
                                
You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.


Author can be reached at dosowski0474@vax2.winona.msus.edu

*/                                            
                                            
#ifndef SOCKETS_H
#define SOCKETS_H

#include <stdlib.h>


// Client functions...
int sock_connect(char *host, unsigned short int port);
int sock_close(int fd);
// Send/receive lines of text
int sock_send_string(int fd, char *string);
// Recv gives only one line per call...
int sock_recv_string(int fd, char *dest, size_t maxlen);
// Send/receive raw data
int sock_send(int fd, void *src, size_t size);
int sock_recv(int fd, void *dest, size_t maxlen);

 
#endif
